#! /usr/bin/env node

import { resolve } from "node:path";
import { getCurDir, copyDir } from "./utils.mjs";
import inquirer from "inquirer";

const root = getCurDir(import.meta.url).replace("bin\\index.mjs", "");

inquirer
    .prompt([
        {
            type: "input", //type： input, number, confirm, list, checkbox ...
            name: "name", // key 名
            message: "project name", // 提示信息
            default: "project-name", // 默认值
        },
        {
            type: "list", //type： input, number, confirm, list, checkbox ...
            name: "vue-version", // key 名
            message: "", // 提示信息
            choices: ["vue2", "vue3", "vue3-webpack"],
            default: "vue3-webpack", // 默认值
        },
    ])
    .then(answers => {
        // 打印互用输入结果
        const map = {
            vue2: "vue2",
            vue3: "vue",
            "vue3-webpack": "vue-webpack",
        };

        const version = answers["vue-version"];
        const name = answers.name;

        const dist = resolve(root, "dist");
        const src = resolve(root, `template\\${map[version]}`);
        console.log(answers, src);
        copyDir(src, dist);
    });
